%define ver_major 2.22
%def_disable static
%def_disable alsa
%def_disable esd
%def_enable gstreamer
%def_enable pulseaudio

Name: gnome-settings-daemon
Version: %ver_major.2.1
Release: alt0.M41.1

Summary: A program that manages general GNOME settings
License: GPLv2+
Group: Graphical desktop/GNOME
Packager: GNOME Maintainers Team <gnome at packages.altlinux.org>

Url: http://gnome.org
Source: %gnome_ftp/%name/%ver_major/%name-%version.tar.bz2
Patch1: %name-add-randr-12.patch
Patch2: %name-2.21.91-ignore-model-if-evdev.patch
# https://bugzilla.redhat.com/show_bug.cgi?id=438942 
# http://bugzilla.gnome.org/show_bug.cgi?id=524499 
Patch3: %name-mouse-too-much-grab.patch
Patch4: %name-2.22.1-hide-white-screen.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=530356 
# https://bugzilla.redhat.com/show_bug.cgi?id=346201 
Patch5: %name-handle-different-keysyms.patch
Patch6: %name-legacy-sound.patch


PreReq: GConf

# From configure.ac
%define dbus_glib_ver 0.74
%define glib2_ver 2.13.0
%define gtk_ver 2.10.0
%define gconf_ver 2.6.1
%define gio_ver 2.15.0
%define gnome_desktop_ver 2.21.4
%define libgnomekbd_ver 2.21.4
%define libxklavier_ver 3.3

# From configure.ac
BuildPreReq: libdbus-glib-devel >= %dbus_glib_ver
BuildPreReq: glib2-devel >= %glib2_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libGConf-devel >= %gconf_ver
BuildPreReq: libgio-devel >= %gio_ver
BuildPreReq: libgnome-desktop-devel >= %gnome_desktop_ver
BuildPreReq: libgnomekbd-devel >= %libgnomekbd_ver
BuildPreReq: libxklavier-devel >= %libxklavier_ver
%{?_enable_alsa:BuildPreReq: libalsa-devel >= 0.9.0}
%{?_enable_esd:BuildPreReq: esound-devel >= 0.2.28}
%{?_enable_gstreamer:BuildPreReq: gstreamer-devel >= 0.10.1.2 gst-plugins-devel >= 0.10.1.2}
%{?_enable_pulseaudio:BuildPreReq: libpulseaudio-devel}

BuildPreReq: rpm-build-gnome
BuildRequires: gcc-c++ imake libXi-devel libXrandr-devel libXxf86misc-devel xorg-cf-files

%description
GNOME Settings Daemon is a program that organizes access to general GNOME
settings. Other GNOME programs may interact with gnome-settings-daemon to
obtain or change some settings. One of the most prominent examples of a g-s-d
client is GNOME Control Center, another one is Evolution.

%package devel
Summary: GNOME Settings Daemon development files
Group: Development/GNOME and GTK+
Requires: %name = %version-%release

%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%prep
%setup -q
%patch1 -p1 -b .add-randr-12
%patch2 -p1 -b .ignore-layout-if-using-evdev
pushd plugins/mouse/
%patch3 -p0 -b .no-eat-keys
popd
%patch4 -p1 -b .hide-white-screen
%patch5 -p0 -b .multi-keysyms
%patch6 -p0 -b .legacy-sound


%build
%autoreconf
%configure \
	%{subst_enable static} \
	--disable-schemas-install

%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%make_install DESTDIR=%buildroot install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang --with-gnome %name

%define gsd_schemas apps_gnome_settings_daemon_keybindings apps_gnome_settings_daemon_screensaver desktop_gnome_font_rendering gnome-settings-daemon

%post
%gconf2_install %gsd_schemas

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %gsd_schemas
fi


%files -f %name.lang
%doc AUTHORS COPYING NEWS
%config %gconf_schemasdir/*
%_libdir/gnome-settings-daemon-2.0
%_libexecdir/gnome-settings-daemon
%_datadir/gnome-settings-daemon
%_datadir/dbus-1/services/org.gnome.SettingsDaemon.service
%exclude %_libdir/gnome-settings-daemon-2.0/*.la

%files devel
%_includedir/*
%_pkgconfigdir/*

%changelog
* Mon Aug 18 2008 Yuri N. Sedunov <aris@altlinux.org> 2.22.2.1-alt0.M41.1
- Backport to 4.1 branch

* Wed Aug 13 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.2.1-alt1
- 2.22.2.1
- import patches from fedora
- build with pulseaudio support

* Fri Mar 21 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.0-alt2
- check /desktop/gnome/sound/enable_esd for enable/disable esd (patch0)

* Tue Mar 18 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.0-alt1.1
- build for Sisyphus
- patch2 from RH: don't set keyboard model on startup from gconf if evdev is being used.
  Evdev needs to use its own keyboard model to work right.

* Sun Mar 09 2008 Alexey Shabalin <shaba@altlinux.ru> 2.21.92-alt1
- First build for Sisyphus.

